<div class="add-edit-planned-services-container">
  <section class="ps-content-section" [formGroup]="formGroup">
    <div style="padding: 20px;">
      <div class="d-flex">

        <div class="flex-fill w-100">
          <div class="text-right w-100" style="margin-top: -16px;">
            <div class="required-label-top">Required</div>
          </div>
          <mat-form-field [appearance]="apperance" class="full-width">
            <mat-label>Practitioner</mat-label>
            <app-dropdown-search formControlName="practitionerId" [data]="practitionerList" valueField="id"
                                 textField="displayName"></app-dropdown-search>
            <mat-error *ngIf="formGroup.get('practitionerId').hasError('required')">
              This field is required.
            </mat-error>
          </mat-form-field>
        </div>

        <div class="flex-fill w-100 ml-2">
          <mat-form-field appearance="outline" class="full-width">
            <mat-label>Repeat</mat-label>
            <input matInput type="text" formControlName="repeat" [min]="1" appOnlyNumber/>
          </mat-form-field>
        </div>

      </div>

      <div class="w-100">
        <div class="required-label-top-container text-right w-100">
          <div class="required-label-top">Required</div>
        </div>
        <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
          <mat-label class="disable-label">Select Service</mat-label>
          <app-appt-drop-down-add-new formControlName="serviceId" [data]="serviceProducts" textField="name"
                                      valueField="id"
                                      [isServiceProduct]="true" [isDisplayFooter]="false"
                                      (valueChange)="onSelectServiceProduct($event)"
                                      (clearOrRemove)="clearOrRemoveSP()"></app-appt-drop-down-add-new>
          <mat-error *ngIf="formGroup.get('serviceId').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>

      <div class="w-100">
        <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
          <mat-label class="disable-label">Notes</mat-label>
          <textarea formControlName="notes" matInput style="height: 100px;"></textarea>
        </mat-form-field>
      </div>
    </div>

    <div class="app-popup-footer">
      <button mat-stroked-button #btnRef="matButton" color="accent"
              class="action-btn" (click)="cancel()">
        Cancel
      </button>
      <button mat-raised-button color="accent" class="action-btn ml-2" (click)="save()">
        Save
      </button>
    </div>
  </section>
</div>
